# com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InlineQueryResult.abstracts.results.audio - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InlineQueryResult.abstracts.results.audio

## Package com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InlineQueryResult.abstracts.results.audio

### Types

(common)

#### InlineQueryResultAudio

`interface InlineQueryResultAudio : InlineQueryResultAudioCommon, UrlInlineQueryResult, DuratedInlineResultQuery, Performerable, TitledInlineQueryResult`

(common)

#### InlineQueryResultAudioCached

`interface InlineQueryResultAudioCached : InlineQueryResultAudioCommon, WithFileIdInlineQueryResult`

(common)

#### InlineQueryResultAudioCommon

`interface InlineQueryResultAudioCommon : InlineQueryResult, CaptionedOutput, WithInputMessageContentInlineQueryResult`

### Properties

(common)

#### inlineQueryResultAudioType

`const val inlineQueryResultAudioType: String`